com.google.gwt.user.client.ui

## Interface HasKeyPreview

- Deprecated.
  This interface is no longer implemented by any GWT library. Use `Event.addNativePreviewHandler(com.google.gwt.user.client.Event.NativePreviewHandler)` instead.

      @Deprecated
      public interface HasKeyPreview

  A class that implements this interface receives a preview of keyboard events before they are passed to the focused widget.
  See Also:
    `KeyCodeEvent`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `onKeyDownPreview(char key, int modifiers)` Deprecated. Called when a key-down event is received.
    `boolean` | `onKeyPressPreview(char key, int modifiers)` Deprecated. Called when a key-press event is received.
    `boolean` | `onKeyUpPreview(char key, int modifiers)` Deprecated. Called when a key-up event is received.

- - ### Method Detail

    - #### onKeyDownPreview

          boolean onKeyDownPreview(char key,
                                   int modifiers)

      Deprecated.
      Called when a key-down event is received.
      Parameters:
        `key` - the physical key that was depressed. Constants for this value are defined in this interface with the KEYCODE prefix.
        `modifiers` - the modifier keys pressed at when the event occurred. This value is a combination of the bits defined by `KeyboardListener.MODIFIER_SHIFT`, `KeyboardListener.MODIFIER_CTRL`, and `KeyboardListener.MODIFIER_ALT`.

    - #### onKeyPressPreview

          boolean onKeyPressPreview(char key,
                                    int modifiers)

      Deprecated.
      Called when a key-press event is received.
      Parameters:
        `key` - the Unicode character that was generated by the keyboard action.
        `modifiers` - the modifier keys pressed at when the event occurred. This value is a combination of the bits defined by `KeyboardListener.MODIFIER_SHIFT`, `KeyboardListener.MODIFIER_CTRL`, and `KeyboardListener.MODIFIER_ALT`.

    - #### onKeyUpPreview

          boolean onKeyUpPreview(char key,
                                 int modifiers)

      Deprecated.
      Called when a key-up event is received.
      Parameters:
        `key` - the physical key that was released. Constants for this value are defined in this interface with the KEYCODE prefix.
        `modifiers` - the modifier keys pressed at when the event occurred. This value is a combination of the bits defined by `KeyboardListener.MODIFIER_SHIFT`, `KeyboardListener.MODIFIER_CTRL`, and `KeyboardListener.MODIFIER_ALT`.